org.modeshape.jcr.query.process

## Class SortLocationsComponent

- java.lang.Object
- - org.modeshape.jcr.query.process.ProcessingComponent
  - - org.modeshape.jcr.query.process.DelegatingComponent
    - - org.modeshape.jcr.query.process.SortLocationsComponent

-     public class SortLocationsComponent
      extends DelegatingComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `ProcessingComponent.DynamicOperation`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SortLocationsComponent(ProcessingComponent delegate)`
    `SortLocationsComponent(ProcessingComponent delegate, Comparator<Object[]> sortingComparator)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Object[]>` | `execute()` Execute this stage of processing and return the resulting tuples that each conform to the `columns`.

    - ### Methods inherited from class org.modeshape.jcr.query.process.DelegatingComponent

      `close, delegate`

    - ### Methods inherited from class org.modeshape.jcr.query.process.ProcessingComponent

      `createDynamicOperation, createSortComparator, emptyTuples, getColumns, getContext, getLocationIndexes, problems`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SortLocationsComponent

          public SortLocationsComponent(ProcessingComponent delegate)

    - #### SortLocationsComponent

          public SortLocationsComponent(ProcessingComponent delegate,
                                Comparator<Object[]> sortingComparator)

  - ### Method Detail

    - #### execute

          public List<Object[]> execute()

      Description copied from class: `ProcessingComponent`
      Execute this stage of processing and return the resulting tuples that each conform to the `columns`.
      Specified by:
        `execute` in class `ProcessingComponent`
      Returns:
        the list of tuples, where each tuple corresonds to the `columns`; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.